Bug 182550 - Sym53c8xx SCSI parity error
Sym53c8xx SCSI parity error
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: hal (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-23 03:09 EST by Teemu Koistinen
Modified: 2010-06-07 00:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-07 00:55:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (17.64 KB, text/plain)
2006-02-23 03:09 EST, Teemu Koistinen
no flags Details
Prevent PCI config reads of Symbios controller that produce parity errors (530 bytes, patch)
2006-04-01 16:08 EST, Galen Seitz
no flags Details | Diff

  None (edit)
Description Teemu Koistinen 2006-02-23 03:09:56 EST
Description of problem:


Version-Release number of selected component (if applicable):

Red Hat Enterprise Linux AS update 2

How reproducible:

Every boot produces SCSI parity error. 
Restarting haldaemon generates error: "kernel: sym0: SCSI parity error detected:
SCR1=132 DBC=50000000 SBCL=0"
Comment 1 Teemu Koistinen 2006-02-23 03:09:56 EST
Created attachment 125087 [details]
/var/log/messages
Comment 2 Galen Seitz 2006-04-01 16:08:47 EST
Created attachment 127185 [details]
Prevent PCI config reads of Symbios controller that produce parity errors
Comment 3 Galen Seitz 2006-04-01 16:17:01 EST
A discussion of this problem can be found here:

http://marc.theaimsgroup.com/?t=110048286400004&r=1&w=2
http://comments.gmane.org/gmane.comp.freedesktop.hal/2456
https://bugs.freedesktop.org/show_bug.cgi?id=1852

The quick summary is that some tools perform PCI config reads to addresses
that are really meant to be internal to the Symbios controller.

My system has a Tekram DC-390U2W (SYM53C895) that gives a scsi parity
error coincident with haldaemon starting.  If I prevent haldaemon from starting,
the parity error does not occur.  The kernel is 2.6.9-34.EL from CentOS.

The attachment I submitted fixes the problem for me.



Comment 4 John (J5) Palmieri 2006-04-17 16:26:16 EDT
How does this patch look to you David?
Comment 5 David Zeuthen 2006-04-17 16:29:13 EDT
Patch looks fine to me.

Note You need to log in before you can comment on or make changes to this bug.